Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 548876 - (CVE-2009-4271) CVE-2009-4271 kernel: 32bit process on 64bit system can trigger a kernel panic
CVE-2009-4271 kernel: 32bit process on 64bit system can trigger a kernel panic
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,source=redhat,report...
: Security
Depends On: 549230 549231
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-18 17:32 EST by Vincent Danen
Modified: 2013-03-15 00:01 EDT (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-15 00:01:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0146 normal SHIPPED_LIVE Important: kernel security and bug fix update 2010-03-16 20:46:47 EDT

  None (edit)
Description Vincent Danen 2009-12-18 17:32:48 EST
A flaw was reported in the Linux kernel, versions 2.6.9 to 2.6.17, when running on x86_64, where a user could use a regular 32bit process to trigger a kernel panic, without any special privileges.  The bug occurs when a 32bit user process triggers a segfault (i.e. de-reference a null-pointer) after having performed a mprotect() to restrict any rwx access on its VDSO page.

In version 2.6.18 and on, the internal mechanism to access the VDSO uses the find_vma() wrapper which fixes the problem as a side-effect.

The reporter indicates that this only occurs on a 64bit machine with a program compiled in 32bit mode.

Acknowledgements:

Red Hat would like to thank STMicroelectronics for responsibly reporting this issue.
Comment 14 errata-xmlrpc 2010-03-16 20:46:55 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4

Via RHSA-2010:0146 https://rhn.redhat.com/errata/RHSA-2010-0146.html

Note You need to log in before you can comment on or make changes to this bug.